package system

import "github.com/gin-gonic/gin"

type SysAiConfigRouter struct{}

func (s *SysAiConfigRouter) InitSysAiConfigRouter(Router *gin.RouterGroup) (R gin.IRoutes) {
	sysAiConfigRouter := Router.Group("aiConfig")
	sysAiConfigApi := sysAiConfigApi
	{
		sysAiConfigRouter.POST("create", sysAiConfigApi.CreateAiConfig) // 创建配置
		sysAiConfigRouter.POST("update", sysAiConfigApi.UpdateAiConfig) // 更新配置
		sysAiConfigRouter.POST("setActive", sysAiConfigApi.SetActive)   // 设置激活状态
		sysAiConfigRouter.GET("list", sysAiConfigApi.GetList)           // 获取列表
	}
	return sysAiConfigRouter
}
